# Uses of Interface
javax.xml.crypto.dsig.keyinfo.RetrievalMethod

Packages that use RetrievalMethod
Package
Description
javax.xml.crypto.dsig.keyinfo
Classes for parsing and processing `KeyInfo` elements and structures.

## Uses of RetrievalMethod in javax.xml.crypto.dsig.keyinfo

Methods in javax.xml.crypto.dsig.keyinfo that return RetrievalMethod
Modifier and Type
Method
Description
`abstract RetrievalMethod`
KeyInfoFactory.`newRetrievalMethod(String uri)`
Creates a `RetrievalMethod` from the specified URI.
`abstract RetrievalMethod`
KeyInfoFactory.`newRetrievalMethod(String uri, String type, List<? extends Transform> transforms)`
Creates a `RetrievalMethod` from the specified parameters.